Loading...
Searching...
No Matches
pdftron::Layout::FlowDocument Class Reference

`#include <FlowDocument.h>`

## Public Member Functions
| FlowDocument ()
| ~FlowDocument ()
Paragraph | AddParagraph ()
Paragraph | AddParagraph (const UString &text)
List | AddList ()
Table | AddTable ()
void | SetDefaultMargins (double left, double top, double right, double bottom)
void | SetDefaultPageSize (double width, double height)
ContentNode | GetBody () const
PDF::PDFDoc | PaginateToPDF ()

## Public Attributes
TRN_FlowDocument | m_impl

## Detailed Description

The class FlowDocument. Encapsulates document creation API.

Definition at line 17 of file FlowDocument.h.

## Constructor & Destructor Documentation

## ◆ FlowDocument()

pdftron::Layout::FlowDocument::FlowDocument | ( |  | ) |

A constructor. Creates an empty document.

## ◆ ~FlowDocument()

pdftron::Layout::FlowDocument::~FlowDocument | ( |  | ) |

Destroy the FlowDocument object

## Member Function Documentation

## ◆ AddList()

List pdftron::Layout::FlowDocument::AddList | ( |  | ) |

Adds a list to the document.

Returns
  The list object

## ◆ AddParagraph() [1/2]

Paragraph pdftron::Layout::FlowDocument::AddParagraph | ( |  | ) |

Adds a paragraph to the document.

Returns
  The paragraph object

## ◆ AddParagraph() [2/2]

Paragraph pdftron::Layout::FlowDocument::AddParagraph | ( | const UString & | text | ) |

Adds a paragraph to the document and sets the text.

Returns
  The paragraph object

## ◆ AddTable()

Table pdftron::Layout::FlowDocument::AddTable | ( |  | ) |

Adds a table to the document.

Returns
  The table object

## ◆ GetBody()

ContentNode pdftron::Layout::FlowDocument::GetBody | ( |  | ) | const

Gets the body of the document.

The body is the root of the content tree. It can be used to traverse the content tree via the ContentNodeIterator object.

Returns
  The body of the document

## ◆ PaginateToPDF()

PDF::PDFDoc pdftron::Layout::FlowDocument::PaginateToPDF | ( |  | ) |

Paginates the content tree into a PDFDoc object.

Returns
  The PDFDoc object

## ◆ SetDefaultMargins()

void pdftron::Layout::FlowDocument::SetDefaultMargins | ( | double | left,
|  | double | top,
|  | double | right,
|  | double | bottom )

Set the default margins for the document.

Parameters

  left | The left margin in points
  top | The top margin in points
  right | The right margin in points
  bottom | The bottom margin in points

## ◆ SetDefaultPageSize()

void pdftron::Layout::FlowDocument::SetDefaultPageSize | ( | double | width,
|  | double | height )

Set the default page size for the document.

Parameters

  width | The width in points
  height | The height in points

## Member Data Documentation

## ◆ m_impl

TRN_FlowDocument pdftron::Layout::FlowDocument::m_impl

Definition at line 95 of file FlowDocument.h.

The documentation for this class was generated from the following file:

- Layout/FlowDocument.h